--望州城
--经验环

--脚本号
x103005_g_scriptId=103005
--环任务id MissionRoundConfigId
x103005_g_missionRoundConfigId = 12
--任务最低等级
x103005_g_MinLevel=50
--事件交互入口
function x103005_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]九天大陸，人才輩出，有奇人異事無數，今日有緣，老朽送你一段歷練，完成此歷練能夠增長經驗，使修為更進一步[-]")
	AddNumText(scene,x103005_g_scriptId,"紅塵歷練",-1,0)	
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x103005_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
			if GetLevel(scene,selfId) >=x103005_g_MinLevel then
		BeginEvent(scene)
		AddText(scene,"紅塵歷練由200环任务组成，每完成100环历练即能获得额外的奖励")
		AddNumText(scene,x103005_g_scriptId,"接取任務",-2,1001,2,x103005_g_missionRoundConfigId)
		AddNumText(scene,x103005_g_scriptId,"活動說明",-1,1002)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
			else 
			--等级不足
			SendServerTips(scene,selfId,"#{31001}")
		end
	elseif index==1002 then
		BeginEvent(scene)
		AddText(scene,"\n1.紅塵歷練任务每周可接取一次，放弃任务后本周内无法再次接取。\n2.任务领取后可以跨周完成，下周不清空上周的任务进度，下周的领取次数也不会被占用，如果跨周超过两周以上时，也只会有一次领取机会。\n3.每个玩家身上只能同时存在一个未完成的“紅塵歷練”任务，未完成当前的任务无法接取新的“紅塵歷練”。\n4.每当完成紅塵歷練100环任务后，就会获得额外的奖励")
		AddNumText(scene,x103005_g_scriptId,"接取任務",-2,1001,2,x103005_g_missionRoundConfigId)
		AddNumText(scene,x103005_g_scriptId,"活動說明",-1,1002)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	end
end